Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052231 - It is not possible to create a NFS storage domain for NFSv4
Summary: It is not possible to create a NFS storage domain for NFSv4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Leonid Natapov
URL:
Whiteboard: storage
Depends On: 991470
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-13 14:08 UTC by Roman Hodain
Modified: 2018-12-04 17:00 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Previously, the settings of a newly created storage domain would be different from those specified during the creation of that storage domain under certain conditions. This would occur when an attempt to create a storage domain failed and the storage connections for that storage domain were not cleaned from the engine database, resulting in certain settings being inherited when attempting to add a new storage domain with similar settings. Now, the storage connections created when attempting to create new storage domains are cleared in the event of a failure, and no residual settings are inherited when attempting to create a new storage domain.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:08:49 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 675103 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23487 None None None Never

Description Roman Hodain 2014-01-13 14:08:38 UTC
Description of problem:
	When the NFS version is set to NFSv4 in the "Advanced parameters" of a
	new storage domain which is being created, the storage domain is created
	for NFSv3 anyway.

Version-Release number of selected component (if applicable):
	rhevm-backend-3.2.5-0.49.el6ev.noarch

How reproducible:
	100%	

Actual results:
	The NFS version is set to 3

Expected results:
	The NFS version is set to 4

Additional info:

Comment 3 Ayal Baron 2014-01-14 08:48:58 UTC
Allon, this looks like a duplicate of the leftover connection issue

Comment 6 Allon Mureinik 2014-01-16 16:36:04 UTC
(In reply to Ayal Baron from comment #3)
> Allon, this looks like a duplicate of the leftover connection issue
Indeed, seems as though the underlying issue is similar to bug 991470.
I'm leaving this one open since the verification may be slightly different, but marking it as blocked on it.

Comment 7 Leonid Natapov 2014-02-17 10:26:31 UTC
3.4.0-0.7.beta2.el6. v4 mounts every time I select v4.

Comment 8 errata-xmlrpc 2014-06-09 15:08:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.